Subject: Contradictory Information about Encoding in the Reference Manual

From: Sebastian Miele <[email-masked]>
Date: Thu, 18 Jun 2020 23:11:37 +0200

Section 4.3.1 (The Top of a Script File) of The Guile Reference Manual
generated from the current master branch (3.0.2.152-1ab210) says:

  If this source code file is not ASCII or ISO-8859-1 encoded, a coding
  declaration such as ‘coding: utf-8’ should appear in a comment
  somewhere in the first five lines of the file: see *note Character
  Encoding of Source Files::.

But section 6.18.8 (Character Encoding of Source Files) says:

  In the absence of any hints, UTF-8 is assumed.

Probably the former information (ASCII or ISO-8859-1) is outdated.